<?php
class vrstatnew
{
	var $error;
	function vrstatnew($ruta,$docu,$id,$stox)
	{
		
		require($ruta);
		$sql_doc='select *from docu0 where docu_codigo="'.$docu.'"';
		$res_doc=mysql_query($sql_doc,$link_vcrx);
		$descri=mysql_result($res_doc,0,'docu_descri');
		$tabla=strtolower(mysql_result($res_doc,0,'docu_tabla'));

		$sql_tabla='select *from '.$tabla.'1 where idnum1="'.$id.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		$numero=mysql_result($res_tabla,0,'numero');
		//$enti_descri=mysql_result($res_tabla,0,'enti_descri');
		$fecha=mysql_result($res_tabla,0,'fecha');
		$status=mysql_result($res_tabla,0,'status');
		
		if($stox=='-')
		{
			if(mb_stristr('FRO',$status))
			{
				//$sql_sta='update '.$tabla.'1 set status="'.$stox.'", xuser="'.$_SESSION['user_vcrx_id'].'", xdate=now() where idnum1="'.$id.'"';
				$sql_sta='update '.$tabla.'1 set status="'.$stox.'", ouser="", odate="" where idnum1="'.$id.'"';
				echo $sql_sta;
				mysql_query($sql_sta);
				$this->error=$sql_sta;
			}
			else
			{
				$this->error='Documento No Puede ser Reactivado';
			}
		}
		echo $this->error;
		
	}
}
?>